package com.sf.apijson.config;

import static apijson.framework.APIJSONConstant.VISITOR_;
import static apijson.framework.APIJSONConstant.VISITOR_ID;
import static apijson.orm.AbstractVerifier.LOGIN;
import javax.servlet.http.HttpSession;

public class ApijsonUtils {
	// 配置表单权限认证-当前用户
	public static void buildFormSession(HttpSession session, String userId) {
		// 用户角色权限, 判断当前用户角色是否为超级管理员,不是,则是owner权限, 如果有子管理员,需要添加判断
		// 暂时不用apijson的鉴权, 使用登陆,接口鉴权
		FormUserVisitor fv = new FormUserVisitor();
		fv.setId(userId);
		fv.setRole(LOGIN);
		// 登录状态保存至session
		session.setAttribute(VISITOR_ID, userId); // 用户id
		session.setAttribute(VISITOR_, fv); // 用户
	}
}
